---
- name: ntpd | Install package {{ ntp_client }}
  community.general.apk:
    name: '{{ ntp_client }}'
    state: present
  when: ntp_client != 'busybox'

# NOTE: busybox's ntpd should be stopped (and disabled) manually before this
- name: ntpd | Import corresponding tasks
  include_tasks: 'ntpd/{{ ntp_client }}.yml'
